import pathlib

import matplotlib.pyplot as plt

from python.spectrum import *

tpulse = 3e-6
gb = 4e3

fig_spec, ax_spec = plt.subplots()

# for conf_file in pathlib.Path('.').glob(f'SixSiteOctahedral/angle=59/Delta/tau=*/timesignal_*_parameter.txt'):
for conf_file in pathlib.Path('.').glob(f'RandomJumpOnCone/angle=128.*/Delta/tau=*/timesignal_*_parameter.txt'):
    vary_string = post_process_spectrum(conf_file, tpulse=tpulse, apod=gb)
    print(conf_file)

#     ax_spec
#
#     ax_tau_cc.semilogy(tau_cc[:, 0], tau_cc[:, 1], label=vary_string)
#     ax_tau_cc.axhline(tau_2[:, 1], color='k', linestyle='--')
#     ax_beta_cc.plot(*beta_cc.T, label=vary_string)
#     ax_finfty_cc.plot(*finfty_cc.T, label=vary_string)
#     ax_tau_ss.semilogy(tau_ss[:, 0], tau_ss[:, 1], label=vary_string)
#     ax_tau_ss.axhline(tau_2[:, 1], color='k', linestyle='--')
#     ax_beta_ss.plot(*beta_ss.T, label=vary_string)
#     ax_finfty_ss.plot(*finfty_ss.T, label=vary_string)
#
#     np.savetxt(
#         conf_file.with_name(f'ste_fit_{vary_string}.dat'),
#         np.c_[
#             tau_cc, beta_cc[:, 1], finfty_cc[:, 1],
#             tau_ss[:, 1], beta_ss[:, 1], finfty_ss[:, 1],
#         ],
#         header=f'Fit STE {vary_string}\n'
#                f'F2: tau={tau_2[0, 1]} beta={beta_2[0, 1]} finfty={finfty_2[0, 1]}\n'
#                f'tevo\ttaucc\tbetacc\tfinftycc\ttauss\tbetass\tfinftyss',
#     )
#
# for ax in [ax_tau_cc, ax_beta_cc, ax_finfty_cc, ax_tau_ss, ax_beta_ss, ax_finfty_ss]:
#     ax.legend()
# plt.show()
